#!/bin/sh

echo "This is an upgrade script for an extrooted vera edge to 7.30"
while true; do
    read -p "Are you ready?   " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Please answer yes, no or press Ctrl + c to exit";;
    esac
done
echo "downloading squashfs"
wget http://dl.mios.com/mt7620a_betafirmware/mt7620a_Luup_ui7-1.7.4832-en-mios.squashfs
echo "mounting squashfs"
mkdir /mnt/tmpfw
mount -t squashfs mt7620a_Luup_ui7-1.7.4832-en-mios.squashfs /mnt/tmpfw
echo "copying firmware files over to USB drive"
cp -R /mnt/tmpfw/* /
umount /mnt/tmpfw
rm /mnt/tmpfw
rm mt7620a_Luup_ui7-1.7.4832-en-mios.squashfs
while true; do
    read -p "Reboot?   " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
    esac
done
reboot
